# DojoCode Embed
### ===DojoCode Embed===
* Author: Danut
* Contributors: Sebastian, Denis
* Tags: dojo, code, challenges, vue, javascript, wordpress, php
* Requires at least: 6.1.1
* Tested up to: 6.1.1
* Requires PHP: 6.1.1
* License: GPL2
* License URI: https://www.gnu.org/licenses/gpl-2.0.html
## Installation

The DojoCode Embed Plugin can be installed directly into your plugins folder "as-is".

## Usage

After installation, DojoCode embed Settings will appear in the settings.


`Auth Secret KEY, Auth Secret IV, Auth Algorithm, Challenge Domain URI and Theme` needs to be configured from the Wordpress dashboard.

You will find your license key under your account settings page, after you sign up for a premium account on DojoCode

### Exemple license key

```bash
Auth Secret KEY = 63 byte key52 byte key22 byte ke
Auth Secret IV = 63 byte key63 b2
Auth Algorithm = aes-421-cbc
Challenge Domain URI = https://code-challenge.springtech.co
Theme = Light (can be Dark or Light)
```

To embed a CodeChallenge in the desired post/page/CPT, use the shortcode

```bash
[embed-code-challenge challengeID="2124asd11asd12312312"]
```
### where:

challengeID -> represents the id of the challenge

### Exemple
```bash
[embed-code-challenge challengeID="62a9af5587d07e7b5c63e7c0"]
```
![wp-plugin](https://bitbucket.org/sebastian_lucaciu/wp-plugin-dojo-embed/raw/feature/plugin-changes/images/wp-plugin.png)
## License

The DojoCode Embed Plugin is licensed under the GPL v2 or later.

> This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2, as published by the Free Software Foundation.

> This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

> You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

A copy of the license is included in the root of the plugin’s directory. The file is named `LICENSE`.


## Contributing

Pull requests are welcome. For major changes, please open an issue first
to discuss what you would like to change.

