<?php
namespace Dojocode_Embed;

class SettingsPage {
  public function __construct() {
    add_action('admin_menu', array($this, 'settings_page'));
  }

  public function settings_page() {
    add_options_page('DojoCode Embed Plugin', 'DojoCode Embed Settings', 'manage_options', 'code-challenge-setting-url', array($this, 'html_form'));
  }

  public static function html_form() {
    $template_path = dirname(dirname(__FILE__)) . '/includes/settings-form.php';
    load_template($template_path, false);
  }
}