<?php  defined( 'ABSPATH' ) or die();

// Autoload classes based on the callback function
spl_autoload_register(function($class) {
  // Create path
  $path = str_replace('Dojocode_Embed', '', str_replace('\\', '/', $class)) . '.php';
  // Check if the class exist and then include it.
  if( file_exists(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'classes' . $path)) {
    require_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'classes' . $path;
  }
});
