<div class="wrap">
  <h2>DojoCode Embed Settings</h2>
  <form method="post" action="options.php">
    <?php settings_fields('options_group'); ?>

    <table class="form-table">
      <tr>
        <th><label for="AUTH_SECRET_KEY">Auth Secret KEY:</label></th>
        <td>
          <input type = 'text' class="regular-text" id="AUTH_SECRET_KEY" name="AUTH_SECRET_KEY" value="<?php echo get_option('AUTH_SECRET_KEY'); ?>">
        </td>
      </tr>

      <tr>
        <th><label for="AUTH_SECRET_IV">Auth Secret IV:</label></th>
        <td>
          <input type = 'text' class="regular-text" id="AUTH_SECRET_IV" name="AUTH_SECRET_IV" value="<?php echo get_option('AUTH_SECRET_IV'); ?>">
        </td>
      </tr>

      <tr>
        <th><label for="AUTH_ALGORITHM">Auth Algorithm:</label></th>
        <td>
          <input type = 'text' class="regular-text" id="AUTH_ALGORITHM" name="AUTH_ALGORITHM" value="<?php echo get_option('AUTH_ALGORITHM'); ?>">
        </td>
      </tr>

      <tr>
        <th><label for="CHALLENGE_DOMAIN_URI">Challenge Domain URI:</label></th>
        <td>
          <input type = 'text' class="regular-text" id="CHALLENGE_DOMAIN_URI" name="CHALLENGE_DOMAIN_URI" value="<?php echo get_option('CHALLENGE_DOMAIN_URI'); ?>">
        </td>
      </tr>

      <tr>
        <th><label for="THEME">Theme:</label></th>
        <td>
          <select class="regular-text" id="THEME" name="THEME">
            <option value="light"<?php if (get_option('THEME') === 'light') echo ' selected'; ?>>Light</option>
            <option value="dark"<?php if (get_option('THEME') !== 'light') echo ' selected'; ?>>Dark</option>
          </select>
        </td>
      </tr>
    </table>

    <?php submit_button(); ?>
  </form>
</div>
